# Ion3 Core
Ion3 Core System - the basis for Neutrino's Laravel-based real estate management system.

This is the core component for the Ion3, and is required by all other Ion3 modules.

## Table of Contents

- [Requirements](#requirements)
- [Installation](#installation)
- [Usage](#usage)
- [Support](#support)

## Requirements

Ion3 requires a minimum of:
- Laravel 10
- PHP 8.1
- MySQL 8

## Installation

In a fresh Laravel 10+ installation, add the following to add the Neutrino repository, ion3-core package, and update composer (this will modify your `composer.json` file):

```bash
composer config repositories.neutrino '{"type": "composer", "url": "https://code.neutrinoinc.com"}' --file composer.json 
composer require neutrino/ion3-core
```


Now, install the package to publish its models and configuration:
```bash
php artisan vendor:publish --tag=ion3-install
```

Adjust the default Laravel `User` model in `app/Models/User.php` to include the `Ion3UserTrait` (notice the **two** `use` lines here):
```php
<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Neutrino\Ion3Core\Traits\Ion3UserTrait;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable, Ion3UserTrait;
```

Lastly, migrate and seed the database:
```bash
php artisan migrate --seed
php artisan ion3:seed
```

## Usage

After installation you will find some new files in your `app/` folder. These all extend the core Ion3 files and may be customized however needed for your application.

## Support

*Support link to documentation goes here.*