<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class AgentFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Agent';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $first_name = fake()->firstName();
        $last_name = fake()->lastName();
        return [
            'source' => 'Manual',
            'source_id' => fake()->regexify('[A-Z][0-9]{7}'),
            'first_name' => $first_name,
            'last_name' => $last_name,
            'full_name' => "{$first_name} {$last_name}",
            'email' => fake()->email(),
            'cell_phone' => fake()->phoneNumber(),
            'office_phone' => fake()->phoneNumber(),
        ];
    }
}
