<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class BranchFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Branch';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $city = fake()->city();
        return [
            'name' => "{$city} Office",
            'photo_url' => fake()->imageUrl(),
            'address' => fake()->streetAddress(),
            'address2' => fake()->boolean(40) ? fake()->secondaryAddress() : '',
            'city' => $city,
            'state' => fake()->stateAbbr(),
            'zip' => substr(fake()->postcode(), 0, 5),
            'country' => 'US',
            'email' => fake()->email(),
            'phone' => fake()->phoneNumber(),
            'remarks' => fake()->paragraphs(3, true),
            'latitude' => fake()->latitude(7, 85),
            'longitude' => fake()->longitude(-67, -124),
            'show_online' => 1,
        ];
    }
}
