<?php

namespace Neutrino\Ion3Core\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class OfficeFactory extends Factory
{
    protected $model = 'App\Ion3\Models\Office';

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $office_name = fake()->company();
        return [
            'source' => 'Manual',
            'source_id' => fake()->regexify('[A-Z][0-9]{7}'),
            'name' => $office_name,
            'long_name' => $office_name,
            'address' => fake()->streetAddress(),
            'unit_number' => '',
            'city' => fake()->city(),
            'state' => fake()->stateAbbr(),
            'zip' => substr(fake()->postcode(), 0, 5),
            'country' => 'US',
            'email' => fake()->email(),
            'phone' => fake()->phoneNumber(),
        ];
    }
}
