<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('offices', function (Blueprint $table) {
            $table->id();
            $table->string('source', 16);
            $table->string('source_id', 36); // "MLS" Number
            $table->string('name', 100);
            $table->string('long_name', 100);
            $table->string('address', 64);
            $table->string('unit_number', 24);
            $table->string('city', 32);
            $table->string('state', 2);
            $table->string('zip', 10);
            $table->string('country', 32);
            $table->string('email', 100);
            $table->string('phone', 24);
            $table->unsignedBigInteger('branch_id')->nullable();
            $table->timestampsTz();

            $table->index('source');
            $table->index('source_id');
            $table->index('branch_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('offices');
    }
};
