<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('agent_listing', function (Blueprint $table) {
            $table->id();
            $table->foreignId('agent_id')
                ->constrained()
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->foreignId('listing_id')
                ->constrained()
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->enum('type', ['selling', 'buying'])->default('selling');
            $table->smallInteger('position')->default(0);
            $table->boolean('active')->default(true);
            $table->timestampsTz();

            $table->index(['agent_id', 'listing_id']);
            $table->index('active');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('agent_listing');
    }
};
