<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('listings_custom', function (Blueprint $table) {
            $table->id();
            $table->foreignId('listing_id')
                ->constrained()
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->longText('remarks')->nullable();
            $table->boolean('has_basement')->nullable();
            $table->date('available_date')->nullable();
            $table->integer('association_fee')->nullable();
            $table->timestampsTz();

            $table->index('listing_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('listings_custom');
    }
};
