<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('listings_media', function (Blueprint $table) {
            $table->id();
            $table->foreignId('listing_id')
                ->constrained()
                ->onUpdate('cascade')
                ->onDelete('cascade');
            $table->string('source', 16);
            $table->enum('type', ['Photo', 'Floorplan', 'Document']);
            $table->smallInteger('position')->default(0);
            $table->string('url', 255);
            $table->string('caption', 512)->nullable();
            $table->mediumInteger('width')->default(0);
            $table->mediumInteger('height')->default(0);
            $table->timestampsTz();

            $table->index('source');
            $table->index('type');
            $table->index('position');
            $table->index(['width', 'height']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('listings_media');
    }
};
