<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('branches', function (Blueprint $table) {
            $table->id();
            $table->string('name', 64);
            $table->string('photo_url', 255)->nullable();
            $table->string('address', 64);
            $table->string('address2', 64);
            $table->string('city', 32);
            $table->string('state', 2);
            $table->string('zip', 10);
            $table->string('country', 32);
            $table->string('email', 100);
            $table->string('phone', 24);
            $table->longText('remarks')->nullable();
            $table->decimal('latitude', 17, 14)->nullable();
            $table->decimal('longitude', 17, 14)->nullable();
            $table->boolean('show_online')->default(1);

            $table->softDeletesTz();
            $table->timestampsTz();

            $table->index('name');
            $table->index('show_online');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('branches');
    }
};
