<?php

namespace Neutrino\Ion3Core;

use Illuminate\Support\ServiceProvider;

class Ion3CoreServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        if ($this->app->runningInConsole()) {
            $this->commands([
                \Neutrino\Ion3Core\Console\Commands\Ion3SeedCommand::class,
            ]);
        }
    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        if (app()->runningInConsole()) {
            $this->loadMigrationsFrom(__DIR__.'/../database/migrations');

            // Publish models
            $this->publishes([
                __DIR__.'/../stubs/Models' => base_path('app/Ion3/Models'),
                //__DIR__.'/../stubs/Http/Controllers' => base_path('app/Ion3/Http/Controllers'),
            ], 'ion3-install');

            /*
            $this->publishes([
                __DIR__.'/../config/ion3.php' => config_path('ion3.php'),
            ], 'ion3-config');
            */
        }
    }
}
