<?php

namespace Neutrino\Ion3Core\Traits;

use App\Ion3\Models\Agent;
use App\Ion3\Models\Branch;
use App\Ion3\Models\UserMeta;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Neutrino\Ion3Core\Models\Ion3UserAgentSource;

trait Ion3UserTrait
{
    public function agents(): BelongsToMany
    {
        return $this->belongsToMany(Agent::class, 'agents', 'user_id');
    }

    public function agent_sources(): HasMany
    {
        return $this->hasMany(Ion3UserAgentSource::class, 'user_id');
    }

    public function branches()
    {
        return $this->belongsToMany(Branch::class, 'branch_user', 'user_id');
    }

    public function meta(): HasMany
    {
        return $this->hasMany(UserMeta::class, 'user_id');
    }
}
